/**
 * Accessibar - aboutDialog.js                                                     
 *                                                                           
 * This file provides functionality for the about dialog whose interface 
 * is described in aboutDialog.xul                                      
 *                                                                                      
 * @author Edan Kemelman <edankeme@yahoo.com>                                
 * @version 0.7.6                                                                       
 */

/**
 * onLoadAbout will size the window according to the content
 */
function onLoadAbout()
{
  window.sizeToContent();
}

/**
 * goLink opens the href link attribute (if it exists) of the target of
 * the event it recieves as a parameter and closes the dialog.
 * @param evt The event captured on the element with an href attribute.
 */
function goLink(evt)
{
  var href = evt.target.getAttribute("href");
  if (href){
    opener._content.location.href = href;
    self.close();
  }
}
